Update a pipeline
curl --request PATCH \
--url http://{controllerHost}:8000/api/v1/pipelines/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parallelism": 8,
"checkpoint_interval_micros": 60000000,
"stop": "checkpoint"
}
'import requests
url = "http://{controllerHost}:8000/api/v1/pipelines/{id}"
payload = {
"parallelism": 8,
"checkpoint_interval_micros": 60000000,
"stop": "checkpoint"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({parallelism: 8, checkpoint_interval_micros: 60000000, stop: 'checkpoint'})
};
fetch('http://{controllerHost}:8000/api/v1/pipelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8000",
CURLOPT_URL => "http://{controllerHost}:8000/api/v1/pipelines/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'parallelism' => 8,
'checkpoint_interval_micros' => 60000000,
'stop' => 'checkpoint'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://{controllerHost}:8000/api/v1/pipelines/{id}"
payload := strings.NewReader("{\n \"parallelism\": 8,\n \"checkpoint_interval_micros\": 60000000,\n \"stop\": \"checkpoint\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("http://{controllerHost}:8000/api/v1/pipelines/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"parallelism\": 8,\n \"checkpoint_interval_micros\": 60000000,\n \"stop\": \"checkpoint\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://{controllerHost}:8000/api/v1/pipelines/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parallelism\": 8,\n \"checkpoint_interval_micros\": 60000000,\n \"stop\": \"checkpoint\"\n}"
response = http.request(request)
puts response.read_body{
"id": "abc123",
"name": "my-pipeline",
"query": "INSERT INTO sink SELECT * FROM source",
"parallelism": 4,
"checkpoint_interval_micros": 30000000,
"stop": "none",
"created_at": 1700000000000000,
"graph": {
"nodes": [],
"edges": []
},
"action": "stop",
"action_text": "Stop",
"action_in_progress": false,
"preview": false
}{
"error": "descriptive error message"
}Update a pipeline
Updates pipeline configuration. Only the fields you provide are changed.
PATCH
/
pipelines
/
{id}
Update a pipeline
curl --request PATCH \
--url http://{controllerHost}:8000/api/v1/pipelines/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"parallelism": 8,
"checkpoint_interval_micros": 60000000,
"stop": "checkpoint"
}
'import requests
url = "http://{controllerHost}:8000/api/v1/pipelines/{id}"
payload = {
"parallelism": 8,
"checkpoint_interval_micros": 60000000,
"stop": "checkpoint"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({parallelism: 8, checkpoint_interval_micros: 60000000, stop: 'checkpoint'})
};
fetch('http://{controllerHost}:8000/api/v1/pipelines/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8000",
CURLOPT_URL => "http://{controllerHost}:8000/api/v1/pipelines/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'parallelism' => 8,
'checkpoint_interval_micros' => 60000000,
'stop' => 'checkpoint'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://{controllerHost}:8000/api/v1/pipelines/{id}"
payload := strings.NewReader("{\n \"parallelism\": 8,\n \"checkpoint_interval_micros\": 60000000,\n \"stop\": \"checkpoint\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("http://{controllerHost}:8000/api/v1/pipelines/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"parallelism\": 8,\n \"checkpoint_interval_micros\": 60000000,\n \"stop\": \"checkpoint\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://{controllerHost}:8000/api/v1/pipelines/{id}")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"parallelism\": 8,\n \"checkpoint_interval_micros\": 60000000,\n \"stop\": \"checkpoint\"\n}"
response = http.request(request)
puts response.read_body{
"id": "abc123",
"name": "my-pipeline",
"query": "INSERT INTO sink SELECT * FROM source",
"parallelism": 4,
"checkpoint_interval_micros": 30000000,
"stop": "none",
"created_at": 1700000000000000,
"graph": {
"nodes": [],
"edges": []
},
"action": "stop",
"action_text": "Stop",
"action_in_progress": false,
"preview": false
}{
"error": "descriptive error message"
}Authorizations
Send the API token as Authorization: Bearer <token>.
Path Parameters
The pipeline ID.
Body
application/json
Response
A Pipeline object.